<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>em</title>
	<style>
		html {
		}

		body {
		}

		.image-wrap { display: flex; flex-wrap: wrap;  font-size: 46px; }
		.image-box { position: relative; width: calc(350 / 46 * 1em); margin: 12px; }
		.image-box img { width: 100%; height: 100%; }
		.image-box .text {
			position: absolute; bottom: 0.3em; left: 0.3em;
			display: block;
			padding: 0.26em;
			box-sizing: border-box;
			background-color: #fff;
			font-size: 0.52em;
			color: black;
		}

		</style>
</head>
<body>
<section>
	<h1 class="title-1">Заголовок уровня h1</h1>
	<h2 class="title-2">Заголовок уровня h2</h2>
	<h3 class="title-3">Заголовок уровня h3</h3>
	<h4 class="title-4">Заголовок уровня h4</h4>
	<h5 class="title-5">Заголовок уровня h5</h5>
	<h6 class="title-6">Заголовок уровня h6</h6>
</section>
<section class="section-images">
	<div class="image-wrap">
		<div class="image-box">
			<img src="./images/img.jpg" alt="">
			<span class="text">test</span>
		</div>
	</div>
</section>
</body>
</html>